theme: softinio
autoscale: true
slidenumbers: true
build-lists: true
footer: Follow me on Twitter: **[@SalarRahmanian](https://twitter.com/SalarRahmanian)** - Blog: <https://www.softinio.com> - Twitch: **[@softinio](https://www.twitch.tv/softinio)** - <br> Watch my talks on: <https://watch.softinio.com> - Join my Newsletter <http://newsletter.softinio.com><br>This work by Salar Rahmanian is licensed under a Creative Commons Attribution 4.0 International License.

![90%](images/softinio_avatar.jpg)

# Welcome

- PeerTube: https://watch.softinio.com
- YouTube: https://softin.io/youtube
- Newsletter, twitch and social media 👇👇👇👇

^- Hello everyone, I am Salar Rahmanian, Welcome to my new video channel
- you can find all of my video content on my personal Peertube instance
- and a lot of it also posted on my YouTube channel
- I also stream on Twitch and have a newsletter you can subscribe to, details in the footer of this slide.

---

# About me

![inline fill](images/SF1.jpg)


^- A quick introduction about me, 
- I am Salar software engineer based in the San Francisco Bay Area
- I learnt to code at the age of 11
- Even though coding was my passion, when I went to University I studied Eletronic & Electrical Engineering
- Nevertheless at University I did learn to program using Pascal, Fortran and C Programming

---

![90%](images/softinio_avatar.jpg)

# Why?

- Share my learnings
- Learn by showing
- Have fun!

^- You may ask why this video channel and content
- Share my experience and learnings for technologies I am passionate about
- Learn new technologies that I am passionate about by sharing my journey with my audience

---

# Programming Languages

![inline left](images/scala-logo.png)![inline](images/java-logo.png)![inline right](images/python-logo.png)![inline right](images/Swift-logo.png)

^- fortunately or unfortunately I am a bit of a polygot, a jack of all trades, master of none. 
- Its true I get excited to try new technologies and enjoy exploring different way of thinging
- This slides shows the programming languages I like. From the mix of languages you can see how using a mixture of languages satisfies my curiousity of thinking differently to solve the same problem
- It touches object oriented programming to functional programming 

---

# Technologies

![inline left](images/akka-toolkit-logo.png) ![inline right](images/kafka-logo.png) ![inline right](images/apache-spark-logo.png)
![inline left](images/apache-nifi-logo.png)

^- Other technologies that are of interest to me that I am looking forward to talking about are akka, kafka, apache nifi and Spark
- All of these technologies I have used and do have some level of experience, so I will be sharing my learnings and as well as sharing my journey to learn more about them
- Akka and my interest in the Actor model was the reason I learned Scala in the first place long time ago. I had a lot of fun building ingestion pipelines processing large amounts of data and learning about distributed systems as part of this.
- I was lucky enough to be an earlier adopter of Kafka. In fact when I first used Kafka the project I was leading was one of Confluent's first beta testers for their Confluent Cloud product where I had the chance to give feedback to some of the awesome product people at Confluent. Apache Kafka is really enjoyeable to use when designing event driven reactive systems so looking forward to having a lot of fun with content about it.
- Apache Nifi is a piece of wonderful technology that I am hoping to produce a lot of content for. I have always been surprised by the lack of attention Nifi gets considering how good it is at the problems it solves. I am hoping to bridge that gap.
- Apache Spark needs no introduction. I will touching on topics related to using Spark and Databricks using both Python and Scala.

---

# Developer Productivity

![inline left](images/neovim-logo.png)![inline right](images/lua-logo.png)
![inline](images/nix-logo.png)

^- developer productivity is very important to me and I will be sharing my learnings
- I have been a vim/neovim user and enthusiast as long as I remember
- recently I have started contributing plugins for neovim using Lua and am very excited about it
- I was an early adopter of Nix/NixOS and it is what I use to manage my personal development environment.

---

# FOSS, OSS and the Fediverse

- I will show you whats available
- How to use it
- Why you should too

^- I have been a FOSS/OSS user and enthusiast since the 1990s. An actual user of a linux desktop for over 10 years before switching to macOs
- I like using as much FOSS and fediverse products where I can
- Irony here, as I am an Apple Fan boy too 
- There is not enough knowledge sharing and evangelising of whats available to you in the FOSS/Fediverse world. Let alone how to use it. I am hoping to bridge this gap with content that will show you whats available to you and how to use it.

---

# Thank You

^- if you have any questions or suggestions for topics you want me to cover or go into more detail please get in touch with me

[.hide-footer]
[.slidenumbers: false]
![90%](images/softinio_avatar.jpg)
