---
title: Using scaladex.nvim
author: Salar Rahmanian (@Softinio)
extensions:
  - qrcode
---

# Follow Me

```qrcode-ex
columns:
  - data: "https://twitter.com/SalarRahmanian"
    caption: "Twitter: @SalarRahmanian"
  - data: "https://watch.softinio.com/c/softinio/videos"
    caption: "Videos: watch.softinio.com"
  - data: "https://www.github.com/softinio"
    caption: "GitHub: @Softinio"
```
---

# scaladex.nvim

- A Telescope Extension written in Lua
- Lets you search scaladex
- Copies the dependency/Library you choose to clipboard
- Or can open the scaladex page for the library in your browser
- Also provdes a lua library to query scaladex that you can use in your own projects

---

# How do you set up the telescope extension

- I use packer and have moved my setup to `lua`
- Lets look at my `init.lua`

---

# Using the telescope extension

- Lets look at a scala project and add a dependency to it
- Lets take a look at the same dependency in a web browser
- To summarize, once you have searched for your package and selected one:
  - press enter to copy it to clipboard, then paste it into your build file or where ever you want
  - press <C-s> to open the scaladex page in your browser

---

# Using as a lua library to query scaladex

## Two methods

- search(search_term, targeted_platform, scala_version)
- get_project(organization, repository)
- They both return a lua table!
- Lets take a look

---

# Thank you!

- Use GitHub issues or discussions if you have any questions, bug reports or feature requests
- Contributions and PR's welcome

# https://github.com/softinio/scaladex.nvim 

## Follow Me

- Twitter: @SalarRahmanian
- Videos: https://watch.softinio.com/softinio

